Package com.collibra.dgc.core.api.dto.instance.issue

# Class FindIssuesRequest.Builder

Object
Builder

Enclosing class:
  `FindIssuesRequest`

public static final class FindIssuesRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  This field will become private in the next major release.
  `protected int`
  `offset`
  Deprecated.
  This field will become private in the next major release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindIssuesRequest`
  `build()`
  `FindIssuesRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindIssuesRequest.Builder`
  `limit(int limit)`
  `FindIssuesRequest.Builder`
  `offset(int offset)`
  `FindIssuesRequest.Builder`
  `onlyOpenIssues(boolean onlyOpenIssues)`
  `FindIssuesRequest.Builder`
  `sortField(FindIssuesRequest.SortField sortField)`
  `FindIssuesRequest.Builder`
  `sortOrder(SortOrder sortOrder)`
  `String`
  `toString()`
  `FindIssuesRequest.Builder`
  `userRelation(FindIssuesRequest.IssueUserRelation userRelation)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated protected int offset
    Deprecated.
    This field will become private in the next major release.

  - ### limit

    @Deprecated protected int limit
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### offset

    public FindIssuesRequest.Builder offset(int offset)

  - ### limit

    public FindIssuesRequest.Builder limit(int limit)

  - ### but

    @Deprecated public FindIssuesRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindIssuesRequest.builder()`
    Clone method for this Builder.

  - ### sortOrder

    public FindIssuesRequest.Builder sortOrder(SortOrder sortOrder)
    Returns:
      `this`.

  - ### sortField

    public FindIssuesRequest.Builder sortField(FindIssuesRequest.SortField sortField)
    Returns:
      `this`.

  - ### onlyOpenIssues

    public FindIssuesRequest.Builder onlyOpenIssues(boolean onlyOpenIssues)
    Returns:
      `this`.

  - ### userRelation

    public FindIssuesRequest.Builder userRelation(FindIssuesRequest.IssueUserRelation userRelation)
    Returns:
      `this`.

  - ### build

    public FindIssuesRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`